<div class="row">
    <div class="col-md-12">
        <nb-card>
            <nb-card-header class="head-card-container">
                {{ 'servers.manage' | translate }}<span *ngIf="!custom"> créés à partir d'un modèle fourni</span><span
                    *ngIf="custom"> créés à partir d'un de vos modèles</span>
            </nb-card-header>
            <nb-card-body class="row col-md-12">
                <div class="col-md-2">
                    <button nbButton status="info" (click)="onGetPdf()" [disabled]="noStack"> Afficher les URL</button>
                </div>
                <div class="col-md-10 text-right align-middle">
                    <b>Action sur tous les sites :</b>
                    <button
                        nbTooltip="Selon le nombre de sites à démarrer, cette opération peut prendre plusieurs minutes"
                        nbButton status="info" class="marge-gauche" (click)="onStartAll()" [disabled]="noStack">
                        Démarrer</button>
                    <button nbButton status="info" class="marge-gauche" (click)="onStopAll()" [disabled]="noStack">
                        Stopper</button>
                    <button nbButton status="danger" class="marge-gauche" (click)="onDelAll()" [disabled]="noStack">
                        Supprimer</button>
                </div>
            </nb-card-body>
            <nb-card-body class="row col-md-12">
                <div class="col-xxxl-6 col-md-6 col-sm-12" *ngFor="let statusCard of commonStatusCardsSet">
                    <ecx-server-status-card [title]="statusCard.title" [type]="statusCard.type"
                        [stackID]="statusCard.stackID" [on]="statusCard.on">
                        <i [ngClass]="statusCard.iconClass"></i>
                    </ecx-server-status-card>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
</div>